#112093 Report by node localhost covering 1968 tests from 49 modules resulted into 10 errors

Report

ObsPy version
1.2.2
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
317.9 sec
Report date/time
2020-10-08 21:39:19

System / Python

Architecture
64bit
Machine
x86_64
Node
localhost
Processor
x86_64
Python Compiler
GCC 7.5.0
Python Implementation
CPython
Python Version
3.8.5
Release
3.10.0-1127.19.1.el7.x86_64
System
Linux
Version
#1 SMP Tue Aug 25 17:23:54 UTC 2020

Dependencies

cartopy
0.18.0
decorator
4.4.2
flake8
---
future
0.18.2
geographiclib
1.50
lxml.etree
4.5.2
m2crypto
---
matplotlib
3.3.2
mock
---
mpl_toolkits.basemap
1.2.1
numpy
1.19.1
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
2.6.1.post1
requests
2.24.0
scipy
1.5.2
setuptools
49.6.0.post20200917
shapefile
2.1.2
sqlalchemy
1.3.19

Modules (49)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 3 1 2 3
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 7 4 5 6 7 8 9 10
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 10 10

Tracebacks (10)

Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 720, in test__get_leap_seconds_file
open(test_file, 'a').close()
PermissionError: [Errno 13] Permission denied: '/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 668, in test_download_leap_seconds_file
file_path = indexer.download_leap_seconds_file(test_file)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 684, in test_download_leap_seconds_file_no_path_given
file_path = indexer.download_leap_seconds_file()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1350, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 950, in send
self.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1417, in connect
super().connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 921, in connect
self.sock = self._create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 787, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_event.py", line 623, in test_catalog_plot_global
cat.plot(method='cartopy', outfile=ic.name)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/event/catalog.py", line 763, in plot
fig.savefig(outfile)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 2311, in savefig
self.canvas.print_figure(fname, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 2210, in print_figure
result = print_method(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 1639, in wrapper
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 509, in print_png
FigureCanvasAgg.draw(self)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 407, in draw
self.figure.draw(self.renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 1863, in draw
mimage._draw_list_compositing_images(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/geoaxes.py", line 479, in draw
return matplotlib.axes.Axes.draw(self, renderer=renderer, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/cbook/deprecation.py", line 411, in wrapper
return func(*inner_args, **inner_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/axes/_base.py", line 2747, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/feature_artist.py", line 155, in draw
geoms = self._feature.intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 302, in intersecting_geometries
return super(NaturalEarthFeature, self).intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 110, in intersecting_geometries
return (geom for geom in self.geometries() if
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 284, in geometries
path = shapereader.natural_earth(resolution=self.scale,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 295, in natural_earth
return ne_downloader.path(format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 222, in path
result_path = self.acquire_resource(target_path, format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 350, in acquire_resource
shapefile_online = self._urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 261, in _urlopen
return urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 525, in open
response = self._open(req, data)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 542, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 502, in _call_chain
result = func(*args)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1393, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1353, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1350, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 950, in send
self.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1417, in connect
super().connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 921, in connect
self.sock = self._create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 787, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_event.py", line 659, in test_catalog_plot_local
cat.plot(method='cartopy', outfile=ic.name, projection='local',
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/event/catalog.py", line 763, in plot
fig.savefig(outfile)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 2311, in savefig
self.canvas.print_figure(fname, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 2210, in print_figure
result = print_method(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 1639, in wrapper
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 509, in print_png
FigureCanvasAgg.draw(self)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 407, in draw
self.figure.draw(self.renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 1863, in draw
mimage._draw_list_compositing_images(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/geoaxes.py", line 479, in draw
return matplotlib.axes.Axes.draw(self, renderer=renderer, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/cbook/deprecation.py", line 411, in wrapper
return func(*inner_args, **inner_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/axes/_base.py", line 2747, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/feature_artist.py", line 155, in draw
geoms = self._feature.intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 302, in intersecting_geometries
return super(NaturalEarthFeature, self).intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 110, in intersecting_geometries
return (geom for geom in self.geometries() if
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 284, in geometries
path = shapereader.natural_earth(resolution=self.scale,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 295, in natural_earth
return ne_downloader.path(format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 222, in path
result_path = self.acquire_resource(target_path, format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 350, in acquire_resource
shapefile_online = self._urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 261, in _urlopen
return urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 525, in open
response = self._open(req, data)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 542, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 502, in _call_chain
result = func(*args)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1393, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1353, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1350, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 950, in send
self.connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 1417, in connect
super().connect()
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/http/client.py", line 921, in connect
self.sock = self._create_connection(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 787, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_event.py", line 633, in test_catalog_plot_ortho
cat.plot(method='cartopy', outfile=ic.name, projection='ortho',
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/event/catalog.py", line 763, in plot
fig.savefig(outfile)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 2311, in savefig
self.canvas.print_figure(fname, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 2210, in print_figure
result = print_method(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backend_bases.py", line 1639, in wrapper
return func(*args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 509, in print_png
FigureCanvasAgg.draw(self)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/backends/backend_agg.py", line 407, in draw
self.figure.draw(self.renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/figure.py", line 1863, in draw
mimage._draw_list_compositing_images(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/geoaxes.py", line 479, in draw
return matplotlib.axes.Axes.draw(self, renderer=renderer, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/cbook/deprecation.py", line 411, in wrapper
return func(*inner_args, **inner_kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/axes/_base.py", line 2747, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/image.py", line 131, in _draw_list_compositing_images
a.draw(renderer)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/matplotlib/artist.py", line 41, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/mpl/feature_artist.py", line 155, in draw
geoms = self._feature.intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 302, in intersecting_geometries
return super(NaturalEarthFeature, self).intersecting_geometries(extent)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 110, in intersecting_geometries
return (geom for geom in self.geometries() if
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/feature/__init__.py", line 284, in geometries
path = shapereader.natural_earth(resolution=self.scale,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 295, in natural_earth
return ne_downloader.path(format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 222, in path
result_path = self.acquire_resource(target_path, format_dict)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/shapereader.py", line 350, in acquire_resource
shapefile_online = self._urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/cartopy/io/__init__.py", line 261, in _urlopen
return urlopen(url)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 525, in open
response = self._open(req, data)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 542, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 502, in _call_chain
result = func(*args)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1393, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/urllib/request.py", line 1353, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.trace.Trace.times
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/trace.py", line 2487, in times
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/trace.py", line 2529, in obspy.core.trace.Trace.times
Failed example:
tr.times("matplotlib")
Expected:
array([ 733643.01392361, 733643.01392373, 733643.01392384, ...,
733643.01427049, 733643.0142706 , 733643.01427072])
Got:
array([ 14480.01392361, 14480.01392373, 14480.01392384, ...,
14480.01427049, 14480.0142706 , 14480.01427072])
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.utcdatetime.UTCDateTime.matplotlib_date
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line unknown line number, in matplotlib_date
----------------------------------------------------------------------
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/utcdatetime.py", line ?, in obspy.core.utcdatetime.UTCDateTime.matplotlib_date
Failed example:
t.matplotlib_date
Expected:
733643.0139780092
Got:
14480.01397800926
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_trace.py", line 1448, in test_times
np.testing.assert_allclose(got[:5], expected, rtol=1e-17)
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 1527, in assert_allclose
assert_array_compare(compare, actual, desired, err_msg=str(err_msg),
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 840, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Not equal to tolerance rtol=1e-17, atol=0
Mismatched elements: 5 / 5 (100%)
Max absolute difference: 719163.0
Max relative difference: 0.9849928778830878
x: array([ 10957. , 10957.000001, 10957.000001, 10957.000002,
10957.000002])
y: array([ 730120. , 730120.000001, 730120.000001, 730120.000002,
730120.000002])
Traceback (most recent call last):
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/obspy/core/tests/test_utcdatetime.py", line 1092, in test_matplotlib_date
np.testing.assert_almost_equal(
File "/usr/local/anaconda/anaconda2/envs/obspy/lib/python3.8/site-packages/numpy/testing/_private/utils.py", line 595, in assert_almost_equal
raise AssertionError(_build_err_msg())
AssertionError:
Arrays are not almost equal to 8 decimals
ACTUAL: 5965.5723676839116
DESIRED: 725128.5723676839

Skipped tests (18)

Submodule Test Skip message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
41.204s test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase)
37.143s test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase)
33.051s test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase)
25.226s test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase)
7.595s test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase)
7.015s test_read_url_via_network (obspy.core.tests.test_stream.StreamTestCase)
6.104s read (obspy.core.stream)
5.731s __init__ (obspy.taup)
4.840s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
4.662s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
4.564s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.840s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.262s test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase)
3.185s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
2.818s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
2.724s plot_travel_times (obspy.taup.tau)
2.538s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.400s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
2.386s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
2.368s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris fact

Only Chuck Norris shuts down websites without due process, not SOPA or PIPA.